Bug 1242179

Summary: [abrt] snappy-player: __pthread_mutex_lock(): snappy killed by SIGSEGV
Product: [Fedora] Fedora Reporter: mastaiza <mastaizawfm>
Component: snappy-playerAssignee: Antonio T. (sagitter) <anto.trande>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: rawhideCC: anto.trande, dgunchev, mastaizawfm, oleg-sz
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/1b0d9618dd858282254effd53e8aabca80a0938b
Whiteboard: abrt_hash:cf06cfcd01204a2391ce8d70954f6bfdb6097deb
Fixed In Version: snappy-player-1.0-7.20151010git166a98.fc23 snappy-player-1.0-7.20151010git166a98.fc21 snappy-player-1.0-7.20151010git166a98.fc22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-11-13 22:54:58 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: dso_list
none
File: environ
none
File: limits
none
File: maps
none
File: mountinfo
none
File: namespaces
none
File: open_fds
none
File: proc_pid_status
none
File: var_log_messages none

Description mastaiza 2015-07-11 21:47:27 UTC
Version-Release number of selected component:
snappy-player-1.0-3.fc22

Additional info:
reporter:       libreport-2.6.0
backtrace_rating: 4
cmdline:        snappy
crash_function: __pthread_mutex_lock
executable:     /usr/bin/snappy
global_pid:     1837
kernel:         4.0.7-300.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __pthread_mutex_lock at ../nptl/pthread_mutex_lock.c:67
 #1 XrmQGetResource at Xrm.c:2549
 #2 XGetDefault at GetDflt.c:231
 #3 _XcursorGetDisplayInfo at display.c:151
 #4 XcursorGetTheme at display.c:361
 #5 gdk_x11_display_set_cursor_theme at gdkcursor-x11.c:473
 #6 settings_update_cursor_theme at gtksettings.c:2933
 #7 gtk_settings_get_for_screen at gtksettings.c:1870
 #8 gtk_style_context_init at gtkstylecontext.c:425
 #9 g_type_create_instance at gtype.c:1870

Potential duplicate: bug 1178657

Comment 1 mastaiza 2015-07-11 21:47:31 UTC
Created attachment 1050991 [details]
File: backtrace

Comment 2 mastaiza 2015-07-11 21:47:32 UTC
Created attachment 1050992 [details]
File: cgroup

Comment 3 mastaiza 2015-07-11 21:47:34 UTC
Created attachment 1050993 [details]
File: core_backtrace

Comment 4 mastaiza 2015-07-11 21:47:35 UTC
Created attachment 1050994 [details]
File: dso_list

Comment 5 mastaiza 2015-07-11 21:47:37 UTC
Created attachment 1050995 [details]
File: environ

Comment 6 mastaiza 2015-07-11 21:47:38 UTC
Created attachment 1050996 [details]
File: limits

Comment 7 mastaiza 2015-07-11 21:47:40 UTC
Created attachment 1050997 [details]
File: maps

Comment 8 mastaiza 2015-07-11 21:47:42 UTC
Created attachment 1050998 [details]
File: mountinfo

Comment 9 mastaiza 2015-07-11 21:47:43 UTC
Created attachment 1050999 [details]
File: namespaces

Comment 10 mastaiza 2015-07-11 21:47:45 UTC
Created attachment 1051000 [details]
File: open_fds

Comment 11 mastaiza 2015-07-11 21:47:46 UTC
Created attachment 1051001 [details]
File: proc_pid_status

Comment 12 mastaiza 2015-07-11 21:47:47 UTC
Created attachment 1051002 [details]
File: var_log_messages

Comment 13 Antonio T. (sagitter) 2015-07-12 20:10:50 UTC
Please, try with this release: http://koji.fedoraproject.org/koji/buildinfo?buildID=668330

Comment 14 Fedora Update System 2015-07-12 20:19:09 UTC
snappy-player-1.0-5.20150622git8f239a.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/snappy-player-1.0-5.20150622git8f239a.fc21

Comment 15 Fedora Update System 2015-07-12 20:19:16 UTC
snappy-player-1.0-5.20150622git8f239a.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/snappy-player-1.0-5.20150622git8f239a.fc22

Comment 16 mastaiza 2015-07-14 15:26:04 UTC
I see looks like a player ???????????????

Comment 17 Fedora Update System 2015-07-14 15:42:14 UTC
Package snappy-player-1.0-5.20150622git8f239a.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing snappy-player-1.0-5.20150622git8f239a.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11569/snappy-player-1.0-5.20150622git8f239a.fc22
then log in and leave karma (feedback).

Comment 18 mastaiza 2015-07-24 20:03:59 UTC
The application crashes when you run version 1.0-5.20150622git8f239a.fc22

Comment 19 Antonio T. (sagitter) 2015-07-24 20:49:23 UTC
(In reply to mastaiza from comment #18)
> The application crashes when you run version 1.0-5.20150622git8f239a.fc22

Please, run snappy by terminal and post its output.

$ snappy -i video.file

Comment 20 mastaiza 2015-07-25 11:37:17 UTC
[17:35:14][mastaiza][~]$ snappy -i /home/mastaiza/Видео/Русский_оккупант_предупреждает.mp4
Adding file: /home/mastaiza/Видео/Русский_оккупант_предупреждает.mp4
Loading: file:///home/mastaiza/Видео/Русский_оккупант_предупреждает.mp4
Loading ui!
Ошибка сегментирования (core dumped)
[17:36:04][mastaiza][~]$

Comment 21 Antonio T. (sagitter) 2015-07-25 12:32:03 UTC
Does it happen with any video file?

Please, 'strace' snappy:

$ su -c 'dnf install strace'
$ strace snappy -i video.file

Attach the output.

Comment 22 mastaiza 2015-07-25 13:49:50 UTC
Yes it happens to any video

Comment 23 mastaiza 2015-07-25 13:50:52 UTC
size=268592, ...}) = 0
stat("/usr/lib64/gstreamer-1.0/libfsmsnconference.so", {st_mode=S_IFREG|0755, st_size=58488, ...}) = 0
stat("/usr/lib64/gstreamer-1.0/libgstauparse.so", {st_mode=S_IFREG|0755, st_size=24384, ...}) = 0
stat("/usr/lib64/gstreamer-1.0/libgstfaad.so", {st_mode=S_IFREG|0755, st_size=24280, ...}) = 0
stat("/usr/lib64/gstreamer-1.0/libgstpcapparse.so", {st_mode=S_IFREG|0755, st_size=24600, ...}) = 0
stat("/usr/lib64/gstreamer-1.0/libgstsouphttpsrc.so", {st_mode=S_IFREG|0755, st_size=67040, ...}) = 0
stat("/usr/lib64/gstreamer-1.0/libgstmulaw.so", {st_mode=S_IFREG|0755, st_size=16040, ...}) = 0
stat("/usr/lib64/gstreamer-1.0/libgsticydemux.so", {st_mode=S_IFREG|0755, st_size=24488, ...}) = 0
stat("/usr/lib64/gstreamer-1.0/libgstdataurisrc.so", {st_mode=S_IFREG|0755, st_size=20216, ...}) = 0
stat("/usr/lib64/gstreamer-1.0/libgstdvdread.so", {st_mode=S_IFREG|0755, st_size=45216, ...}) = 0
stat("/usr/lib64/gstreamer-1.0/libgstrtsp.so", {st_mode=S_IFREG|0755, st_size=159384, ...}) = 0
stat("/usr/lib64/gstreamer-1.0/libgstcoreelements.so", {st_mode=S_IFREG|0755, st_size=327560, ...}) = 0
stat("/usr/lib64/gstreamer-1.0/libgstbz2.so", {st_mode=S_IFREG|0755, st_size=24456, ...}) = 0
stat("/usr/lib64/gstreamer-1.0/libgstladspa.so", {st_mode=S_IFREG|0755, st_size=49920, ...}) = 0
stat("/usr/lib/ladspa", 0x7ffc91c4bc20) = -1 ENOENT (No such file or directory)
stat("/usr/local/lib/ladspa", 0x7ffc91c4bc20) = -1 ENOENT (No such file or directory)
stat("/usr/lib64/ladspa", 0x7ffc91c4bc20) = -1 ENOENT (No such file or directory)
stat("/usr/lib64/gstreamer-1.0/libgstfreeverb.so", {st_mode=S_IFREG|0755, st_size=24248, ...}) = 0
stat("/usr/lib64/gstreamer-1.0/libgstaudiovisualizers.so", {st_mode=S_IFREG|0755, st_size=66760, ...}) = 0
stat("/usr/lib64/gstreamer-1.0/libgstwavenc.so", {st_mode=S_IFREG|0755, st_size=28912, ...}) = 0
stat("/usr/lib64/gstreamer-1.0/libgstid3demux.so", {st_mode=S_IFREG|0755, st_size=15832, ...}) = 0
stat("/usr/lib64/gstreamer-1.0/libgstvideosignal.so", {st_mode=S_IFREG|0755, st_size=28288, ...}) = 0
stat("/usr/lib64/gstreamer-1.0/libgstgoom2k1.so", {st_mode=S_IFREG|0755, st_size=36936, ...}) = 0
stat("/usr/lib64/gstreamer-1.0/libgstlibvisual.so", {st_mode=S_IFREG|0755, st_size=45840, ...}) = 0
stat("/home/mastaiza/.libvisual/actor", 0x7ffc91c4bc20) = -1 ENOENT (No such file or directory)
stat("/usr/lib64/libvisual-0.4/actor", 0x7ffc91c4bc20) = -1 ENOENT (No such file or directory)
getdents(8, /* 0 entries */, 32768)     = 0
close(8)                                = 0
fstat(1, {st_mode=S_IFCHR|0620, st_rdev=makedev(136, 0), ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f61b7fae000
write(1, "Adding file: /home/mastaiza/\320\222\320\270"..., 102Adding file: /home/mastaiza/Видео/Русский_оккупант_предупреждает.mp4
) = 102
getresuid([1000], [1000], [1000])       = 0
getresgid([1000], [1000], [1000])       = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
openat(AT_FDCWD, "/usr/lib64/gio/modules", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = 8
stat("/usr/lib64/gio/modules/giomodule.cache", {st_mode=S_IFREG|0644, st_size=317, ...}) = 0
open("/usr/lib64/gio/modules/giomodule.cache", O_RDONLY) = 9
fstat(9, {st_mode=S_IFREG|0644, st_size=317, ...}) = 0
read(9, "libgiognomeproxy.so: gio-proxy-r"..., 317) = 317
close(9)                                = 0
getdents(8, /* 10 entries */, 32768)    = 392
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
stat("/usr/lib64/gio/modules/libgiognomeproxy.so", {st_mode=S_IFREG|0755, st_size=19896, ...}) = 0
stat("/usr/lib64/gio/modules/libgiolibproxy.so", {st_mode=S_IFREG|0755, st_size=15568, ...}) = 0
stat("/usr/lib64/gio/modules/libgsettingsgconfbackend.so", {st_mode=S_IFREG|0755, st_size=28728, ...}) = 0
stat("/usr/lib64/gio/modules/libgioremote-volume-monitor.so", {st_mode=S_IFREG|0755, st_size=122488, ...}) = 0
stat("/usr/lib64/gio/modules/libgvfsdbus.so", {st_mode=S_IFREG|0755, st_size=213312, ...}) = 0
stat("/usr/lib64/gio/modules/libdconfsettings.so", {st_mode=S_IFREG|0755, st_size=54704, ...}) = 0
stat("/usr/lib64/gio/modules/libgiognutls.so", {st_mode=S_IFREG|0755, st_size=110232, ...}) = 0
getdents(8, /* 0 entries */, 32768)     = 0
close(8)                                = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
stat("/usr/lib64/gio/modules/libgvfsdbus.so", {st_mode=S_IFREG|0755, st_size=213312, ...}) = 0
open("/usr/lib64/gio/modules/libgvfsdbus.so", O_RDONLY|O_CLOEXEC) = 8
read(8, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0P\276\0\0\0\0\0\0"..., 832) = 832
fstat(8, {st_mode=S_IFREG|0755, st_size=213312, ...}) = 0
mmap(NULL, 2302584, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 8, 0) = 0x7f61a2796000
mprotect(0x7f61a27c7000, 2093056, PROT_NONE) = 0
mmap(0x7f61a29c6000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 8, 0x30000) = 0x7f61a29c6000
close(8)                                = 0
open("/usr/lib64/gvfs/tls/x86_64/libgvfscommon.so", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
stat("/usr/lib64/gvfs/tls/x86_64", 0x7ffc91c4b290) = -1 ENOENT (No such file or directory)
open("/usr/lib64/gvfs/tls/libgvfscommon.so", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
stat("/usr/lib64/gvfs/tls", 0x7ffc91c4b290) = -1 ENOENT (No such file or directory)
open("/usr/lib64/gvfs/x86_64/libgvfscommon.so", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
stat("/usr/lib64/gvfs/x86_64", 0x7ffc91c4b290) = -1 ENOENT (No such file or directory)
open("/usr/lib64/gvfs/libgvfscommon.so", O_RDONLY|O_CLOEXEC) = 8
read(8, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\2204\1\0\0\0\0\0"..., 832) = 832
fstat(8, {st_mode=S_IFREG|0755, st_size=249976, ...}) = 0
mmap(NULL, 2342432, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 8, 0) = 0x7f61a255a000
mprotect(0x7f61a2590000, 2093056, PROT_NONE) = 0
mmap(0x7f61a278f000, 28672, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 8, 0x35000) = 0x7f61a278f000
close(8)                                = 0
open("/usr/lib64/gvfs/libbluray.so.1", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY|O_CLOEXEC) = 8
fstat(8, {st_mode=S_IFREG|0644, st_size=105068, ...}) = 0
mmap(NULL, 105068, PROT_READ, MAP_PRIVATE, 8, 0) = 0x7f61b7f56000
close(8)                                = 0
open("/lib64/libbluray.so.1", O_RDONLY|O_CLOEXEC) = 8
read(8, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\320G\0\0\0\0\0\0"..., 832) = 832
fstat(8, {st_mode=S_IFREG|0755, st_size=269080, ...}) = 0
mmap(NULL, 2360232, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 8, 0) = 0x7f61a2319000
mprotect(0x7f61a2358000, 2093056, PROT_NONE) = 0
mmap(0x7f61a2557000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 8, 0x3e000) = 0x7f61a2557000
close(8)                                = 0
open("/usr/lib64/gvfs/libutil.so.1", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
open("/lib64/libutil.so.1", O_RDONLY|O_CLOEXEC) = 8
read(8, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\240\16\0\0\0\0\0\0"..., 832) = 832
fstat(8, {st_mode=S_IFREG|0755, st_size=14432, ...}) = 0
mmap(NULL, 2105616, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 8, 0) = 0x7f61a2116000
mprotect(0x7f61a2118000, 2093056, PROT_NONE) = 0
mmap(0x7f61a2317000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 8, 0x1000) = 0x7f61a2317000
close(8)                                = 0
open("/usr/lib64/gvfs/libxml2.so.2", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
open("/lib64/libxml2.so.2", O_RDONLY|O_CLOEXEC) = 8
read(8, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\340\344\2\0\0\0\0\0"..., 832) = 832
fstat(8, {st_mode=S_IFREG|0755, st_size=1491248, ...}) = 0
mmap(NULL, 3563480, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 8, 0) = 0x7f61a1db0000
mprotect(0x7f61a1f0b000, 2097152, PROT_NONE) = 0
mmap(0x7f61a210b000, 40960, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 8, 0x15b000) = 0x7f61a210b000
mmap(0x7f61a2115000, 4056, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f61a2115000
close(8)                                = 0
mprotect(0x7f61a210b000, 32768, PROT_READ) = 0
mprotect(0x7f61a2317000, 4096, PROT_READ) = 0
mprotect(0x7f61a2557000, 8192, PROT_READ) = 0
mprotect(0x7f61a278f000, 24576, PROT_READ) = 0
mprotect(0x7f61a29c6000, 4096, PROT_READ) = 0
munmap(0x7f61b7f56000, 105068)          = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
rt_sigaction(SIGPIPE, {SIG_IGN, [PIPE], SA_RESTORER|SA_RESTART, 0x7f61b199ea50}, {SIG_IGN, [PIPE], SA_RESTORER|SA_RESTART, 0x7f61b199ea50}, 8) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
socket(PF_LOCAL, SOCK_STREAM|SOCK_CLOEXEC, 0) = 8
fcntl(8, F_GETFL)                       = 0x2 (flags O_RDWR)
fcntl(8, F_SETFL, O_RDWR|O_NONBLOCK)    = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
connect(8, {sa_family=AF_LOCAL, sun_path=@"/tmp/dbus-RtwS1RKENt"}, 23) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
geteuid()                               = 1000
getegid()                               = 1000
geteuid()                               = 1000
getegid()                               = 1000
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
sendmsg(8, {msg_name(0)=NULL, msg_iov(1)=[{"\0", 1}], msg_controllen=32, [{cmsg_len=28, cmsg_level=SOL_SOCKET, cmsg_type=SCM_CREDENTIALS, {pid=3047, uid=1000, gid=1000}}], msg_flags=0}, MSG_NOSIGNAL) = 1
sendto(8, "AUTH\r\n", 6, MSG_NOSIGNAL, NULL, 0) = 6
recvfrom(8, "REJECTED EXTERNAL DBUS_COOKIE_SH"..., 4096, 0, NULL, NULL) = 46
sendto(8, "AUTH EXTERNAL 31303030\r\n", 24, MSG_NOSIGNAL, NULL, 0) = 24
recvfrom(8, 0x33e3db0, 4096, 0, 0, 0)   = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=8, events=POLLIN}], 1, 4294967295) = 1 ([{fd=8, revents=POLLIN}])
recvfrom(8, "OK 98d043df5cf7b763a9db55a355b39"..., 4096, 0, NULL, NULL) = 37
sendto(8, "NEGOTIATE_UNIX_FD\r\n", 19, MSG_NOSIGNAL, NULL, 0) = 19
recvfrom(8, 0x33e3db0, 4096, 0, 0, 0)   = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=8, events=POLLIN}], 1, 4294967295) = 1 ([{fd=8, revents=POLLIN}])
recvfrom(8, "AGREE_UNIX_FD\r\n", 4096, 0, NULL, NULL) = 15
sendto(8, "BEGIN\r\n", 7, MSG_NOSIGNAL, NULL, 0) = 7
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
eventfd2(0, O_NONBLOCK|O_CLOEXEC)       = 9
write(9, "\1\0\0\0\0\0\0\0", 8)         = 8
mmap(NULL, 8392704, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS|MAP_STACK, -1, 0) = 0x7f61a15af000
mprotect(0x7f61a15af000, 4096, PROT_NONE) = 0
clone(child_stack=0x7f61a1daed30, flags=CLONE_VM|CLONE_FS|CLONE_FILES|CLONE_SIGHAND|CLONE_THREAD|CLONE_SYSVSEM|CLONE_SETTLS|CLONE_PARENT_SETTID|CLONE_CHILD_CLEARTID, parent_tidptr=0x7f61a1daf9d0, tls=0x7f61a1daf700, child_tidptr=0x7f61a1daf9d0) = 3048
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
write(9, "\1\0\0\0\0\0\0\0", 8)         = 8
futex(0x33e4780, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
eventfd2(0, O_NONBLOCK|O_CLOEXEC)       = 10
write(10, "\1\0\0\0\0\0\0\0", 8)        = 8
write(9, "\1\0\0\0\0\0\0\0", 8)         = 8
futex(0x33e4780, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x33e3e50, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x2e22168, FUTEX_WAKE_PRIVATE, 1) = 1
poll([{fd=10, events=POLLIN}], 1, 25000) = 1 ([{fd=10, revents=POLLIN}])
poll([{fd=10, events=POLLIN}], 1, 25000) = 1 ([{fd=10, revents=POLLIN}])
read(10, "\1\0\0\0\0\0\0\0", 16)        = 8
poll([{fd=10, events=POLLIN}], 1, 25000) = 1 ([{fd=10, revents=POLLIN}])
read(10, "\1\0\0\0\0\0\0\0", 16)        = 8
write(10, "\1\0\0\0\0\0\0\0", 8)        = 8
futex(0x33e7a10, FUTEX_WAKE_PRIVATE, 2147483647) = 0
close(10)                               = 0
rt_sigaction(SIGPIPE, {SIG_IGN, [PIPE], SA_RESTORER|SA_RESTART, 0x7f61b199ea50}, {SIG_IGN, [PIPE], SA_RESTORER|SA_RESTART, 0x7f61b199ea50}, 8) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
write(9, "\1\0\0\0\0\0\0\0", 8)         = 8
eventfd2(0, O_NONBLOCK|O_CLOEXEC)       = 10
write(10, "\1\0\0\0\0\0\0\0", 8)        = 8
write(9, "\1\0\0\0\0\0\0\0", 8)         = 8
futex(0x33e4780, FUTEX_WAKE_PRIVATE, 1) = 1
poll([{fd=10, events=POLLIN}], 1, 25000) = 1 ([{fd=10, revents=POLLIN}])
poll([{fd=10, events=POLLIN}], 1, 25000) = 1 ([{fd=10, revents=POLLIN}])
read(10, "\1\0\0\0\0\0\0\0", 16)        = 8
poll([{fd=10, events=POLLIN}], 1, 25000) = 1 ([{fd=10, revents=POLLIN}])
read(10, "\1\0\0\0\0\0\0\0", 16)        = 8
write(9, "\1\0\0\0\0\0\0\0", 8)         = 8
futex(0x33e4780, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x33e3e50, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x2e22168, FUTEX_WAKE_PRIVATE, 1) = 1
poll([{fd=10, events=POLLIN}], 1, 25000) = 1 ([{fd=10, revents=POLLIN}])
read(10, "\1\0\0\0\0\0\0\0", 16)        = 8
poll([{fd=10, events=POLLIN}], 1, 0)    = 0 (Timeout)
read(10, 0x7ffc91c4b790, 16)            = -1 EAGAIN (Resource temporarily unavailable)
write(10, "\1\0\0\0\0\0\0\0", 8)        = 8
futex(0x33ebb80, FUTEX_WAKE_PRIVATE, 2147483647) = 0
close(10)                               = 0
eventfd2(0, O_NONBLOCK|O_CLOEXEC)       = 10
write(10, "\1\0\0\0\0\0\0\0", 8)        = 8
write(9, "\1\0\0\0\0\0\0\0", 8)         = 8
futex(0x33e4780, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x33e3e50, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x2e22168, FUTEX_WAKE_PRIVATE, 1) = 1
poll([{fd=10, events=POLLIN}], 1, 25000) = 1 ([{fd=10, revents=POLLIN}])
poll([{fd=10, events=POLLIN}], 1, 25000) = 1 ([{fd=10, revents=POLLIN}])
read(10, "\1\0\0\0\0\0\0\0", 16)        = 8
poll([{fd=10, events=POLLIN}], 1, 25000) = 1 ([{fd=10, revents=POLLIN}])
read(10, "\1\0\0\0\0\0\0\0", 16)        = 8
write(10, "\1\0\0\0\0\0\0\0", 8)        = 8
futex(0x33ebb80, FUTEX_WAKE_PRIVATE, 2147483647) = 0
close(10)                               = 0
write(9, "\1\0\0\0\0\0\0\0", 8)         = 8
futex(0x33e4780, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x33e3e50, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x2e22168, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
openat(AT_FDCWD, "/usr/lib64/gvfs/modules", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
brk(0)                                  = 0x33f2000
brk(0x3413000)                          = 0x3413000
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
stat("/usr/lib64/gstreamer-1.0/libgstplayback.so", {st_mode=S_IFREG|0755, st_size=355816, ...}) = 0
stat("/usr/lib64/gstreamer-1.0/libgstplayback.so", {st_mode=S_IFREG|0755, st_size=355816, ...}) = 0
open("/usr/lib64/gstreamer-1.0/libgstplayback.so", O_RDONLY|O_CLOEXEC) = 10
read(10, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\200\244\0\0\0\0\0\0"..., 832) = 832
fstat(10, {st_mode=S_IFREG|0755, st_size=355816, ...}) = 0
mmap(NULL, 2446728, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 10, 0) = 0x7f61a1359000
mprotect(0x7f61a13ac000, 2097152, PROT_NONE) = 0
mmap(0x7f61a15ac000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 10, 0x53000) = 0x7f61a15ac000
close(10)                               = 0
mprotect(0x7f61a15ac000, 4096, PROT_READ) = 0
rt_sigaction(SIGSEGV, {0x7f61b74d86d0, [], SA_RESTORER, 0x7f61b1d3a430}, {SIG_DFL, [], 0}, 8) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
rt_sigaction(SIGSEGV, {SIG_DFL, [], SA_RESTORER, 0x7f61b1d3a430}, NULL, 8) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
socketpair(PF_LOCAL, SOCK_STREAM, 0, [10, 11]) = 0
fcntl(10, F_SETFL, O_RDONLY|O_NONBLOCK) = 0
fcntl(11, F_SETFL, O_RDONLY|O_NONBLOCK) = 0
brk(0)                                  = 0x3413000
brk(0x3434000)                          = 0x3434000
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
socketpair(PF_LOCAL, SOCK_STREAM, 0, [12, 13]) = 0
fcntl(12, F_SETFL, O_RDONLY|O_NONBLOCK) = 0
fcntl(13, F_SETFL, O_RDONLY|O_NONBLOCK) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
stat("/usr/lib64/gstreamer-1.0/libgstcoreelements.so", {st_mode=S_IFREG|0755, st_size=327560, ...}) = 0
stat("/usr/lib64/gstreamer-1.0/libgstcoreelements.so", {st_mode=S_IFREG|0755, st_size=327560, ...}) = 0
open("/usr/lib64/gstreamer-1.0/libgstcoreelements.so", O_RDONLY|O_CLOEXEC) = 14
read(14, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\340\224\0\0\0\0\0\0"..., 832) = 832
fstat(14, {st_mode=S_IFREG|0755, st_size=327560, ...}) = 0
mmap(NULL, 2418872, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 14, 0) = 0x7f61a110a000
mprotect(0x7f61a1157000, 2093056, PROT_NONE) = 0
mmap(0x7f61a1356000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 14, 0x4c000) = 0x7f61a1356000
close(14)                               = 0
mprotect(0x7f61a1356000, 4096, PROT_READ) = 0
rt_sigaction(SIGSEGV, {0x7f61b74d86d0, [], SA_RESTORER, 0x7f61b1d3a430}, {SIG_DFL, [], SA_RESTORER, 0x7f61b1d3a430}, 8) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
rt_sigaction(SIGSEGV, {SIG_DFL, [], SA_RESTORER, 0x7f61b1d3a430}, NULL, 8) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x34141b0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x34180a0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
write(13, "W", 1)                       = 1
futex(0x34180a0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x34180a0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
open("/home/mastaiza/\320\222\320\270\320\264\320\265\320\276/\320\240\321\203\321\201\321\201\320\272\320\270\320\271_\320\276\320\272\320\272\321\203\320\277\320\260\320\275\321\202_\320\277\321\200\320\265\320\264\321\203\320\277\321\200\320\265\320\266\320\264\320\260\320\265\321\202.mp4", O_RDONLY) = 14
fstat(14, {st_mode=S_IFREG|0664, st_size=56501640, ...}) = 0
lseek(14, 0, SEEK_END)                  = 56501640
lseek(14, 0, SEEK_SET)                  = 0
fstat(14, {st_mode=S_IFREG|0664, st_size=56501640, ...}) = 0
futex(0x3410590, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x3410590, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x3410468, FUTEX_WAKE_PRIVATE, 1) = 0
close(14)                               = 0
futex(0x3410468, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x34187c0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x341f2d0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x341f2d0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x341f2d0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
open("/home/mastaiza/\320\222\320\270\320\264\320\265\320\276/\320\240\321\203\321\201\321\201\320\272\320\270\320\271_\320\276\320\272\320\272\321\203\320\277\320\260\320\275\321\202_\320\277\321\200\320\265\320\264\321\203\320\277\321\200\320\265\320\266\320\264\320\260\320\265\321\202.mp4", O_RDONLY) = 14
fstat(14, {st_mode=S_IFREG|0664, st_size=56501640, ...}) = 0
lseek(14, 0, SEEK_END)                  = 56501640
lseek(14, 0, SEEK_SET)                  = 0
fstat(14, {st_mode=S_IFREG|0664, st_size=56501640, ...}) = 0
futex(0x3410590, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x3410590, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x3410468, FUTEX_WAKE_PRIVATE, 1) = 0
close(14)                               = 0
futex(0x3410468, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x3422300, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x3418340, FUTEX_WAKE_PRIVATE, 2147483647) = 0
open("/home/mastaiza/\320\222\320\270\320\264\320\265\320\276/\320\240\321\203\321\201\321\201\320\272\320\270\320\271_\320\276\320\272\320\272\321\203\320\277\320\260\320\275\321\202_\320\277\321\200\320\265\320\264\321\203\320\277\321\200\320\265\320\266\320\264\320\260\320\265\321\202.mp4", O_RDONLY) = 14
fstat(14, {st_mode=S_IFREG|0664, st_size=56501640, ...}) = 0
lseek(14, 0, SEEK_END)                  = 56501640
lseek(14, 0, SEEK_SET)                  = 0
fstat(14, {st_mode=S_IFREG|0664, st_size=56501640, ...}) = 0
futex(0x3410590, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x3410468, FUTEX_WAKE_PRIVATE, 1) = 0
mmap(NULL, 8392704, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS|MAP_STACK, -1, 0) = 0x7f61a0909000
mprotect(0x7f61a0909000, 4096, PROT_NONE) = 0
clone(child_stack=0x7f61a1108d30, flags=CLONE_VM|CLONE_FS|CLONE_FILES|CLONE_SIGHAND|CLONE_THREAD|CLONE_SYSVSEM|CLONE_SETTLS|CLONE_PARENT_SETTID|CLONE_CHILD_CLEARTID, parent_tidptr=0x7f61a11099d0, tls=0x7f61a1109700, child_tidptr=0x7f61a11099d0) = 3049
futex(0x7f61b227f488, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x3265100, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x341f2d0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x34104e0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f320, FUTEX_WAIT_PRIVATE, 2, NULL) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x7f61b227f320, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x34104e0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
read(12, "W", 1)                        = 1
ppoll([{fd=12, events=POLLIN|POLLPRI|POLLERR|POLLHUP|POLLNVAL}], 1, {0, 500000000}, NULL, 8) = 1 ([{fd=12, revents=POLLIN}], left {0, 280615516})
futex(0x7f6194000020, FUTEX_WAIT_PRIVATE, 2, NULL) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x7f6194000020, FUTEX_WAKE_PRIVATE, 1) = 0
read(12, "W", 1)                        = 1
ppoll([{fd=12, events=POLLIN|POLLPRI|POLLERR|POLLHUP|POLLNVAL}], 1, {0, 500000000}, NULL, 8) = 1 ([{fd=12, revents=POLLIN}], left {0, 418373754})
read(12, "W", 1)                        = 1
ppoll([{fd=12, events=POLLIN|POLLPRI|POLLERR|POLLHUP|POLLNVAL}], 1, {0, 500000000}, NULL, 8) = 1 ([{fd=12, revents=POLLIN}], left {0, 470067777})
read(12, "W", 1)                        = 1
ppoll([{fd=12, events=POLLIN|POLLPRI|POLLERR|POLLHUP|POLLNVAL}], 1, {0, 500000000}, NULL, 8) = 1 ([{fd=12, revents=POLLIN}], left {0, 499256106})
read(12, "W", 1)                        = 1
ppoll([{fd=12, events=POLLIN|POLLPRI|POLLERR|POLLHUP|POLLNVAL}], 1, {0, 500000000}, NULL, 8) = 1 ([{fd=12, revents=POLLIN}], left {0, 499561872})
read(12, "W", 1)                        = 1
ppoll([{fd=12, events=POLLIN|POLLPRI|POLLERR|POLLHUP|POLLNVAL}], 1, {0, 500000000}, NULL, 8) = 1 ([{fd=12, revents=POLLIN}], left {0, 487270979})
read(12, "W", 1)                        = 1
futex(0x7f6190000020, FUTEX_WAIT_PRIVATE, 2, NULL) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x7f6190000020, FUTEX_WAKE_PRIVATE, 1) = 0
ppoll([{fd=12, events=POLLIN|POLLPRI|POLLERR|POLLHUP|POLLNVAL}], 1, {0, 500000000}, NULL, 8) = 1 ([{fd=12, revents=POLLIN}], left {0, 422104339})
read(12, "W", 1)                        = 1
ppoll([{fd=12, events=POLLIN|POLLPRI|POLLERR|POLLHUP|POLLNVAL}], 1, {0, 500000000}, NULL, 8) = 1 ([{fd=12, revents=POLLIN}], left {0, 116442499})
read(12, "W", 1)                        = 1
futex(0x7f6188000020, FUTEX_WAIT_PRIVATE, 2, NULL) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x7f6188000020, FUTEX_WAKE_PRIVATE, 1) = 0
ppoll([{fd=12, events=POLLIN|POLLPRI|POLLERR|POLLHUP|POLLNVAL}], 1, {0, 500000000}, NULL, 8) = 1 ([{fd=12, revents=POLLIN}], left {0, 499402510})
read(12, "W", 1)                        = 1
ppoll([{fd=12, events=POLLIN|POLLPRI|POLLERR|POLLHUP|POLLNVAL}], 1, {0, 500000000}, NULL, 8) = 1 ([{fd=12, revents=POLLIN}], left {0, 456316551})
read(12, "W", 1)                        = 1
ppoll([{fd=12, events=POLLIN|POLLPRI|POLLERR|POLLHUP|POLLNVAL}], 1, {0, 500000000}, NULL, 8) = 1 ([{fd=12, revents=POLLIN}], left {0, 498360531})
read(12, "W", 1)                        = 1
read(12, "W", 1)                        = 1
read(12, "W", 1)                        = 1
ppoll([{fd=12, events=POLLIN|POLLPRI|POLLERR|POLLHUP|POLLNVAL}], 1, {0, 500000000}, NULL, 8) = 1 ([{fd=12, revents=POLLIN}], left {0, 499765602})
read(12, "W", 1)                        = 1
read(12, "W", 1)                        = 1
futex(0x7f6188000020, FUTEX_WAKE_PRIVATE, 1) = 0
read(12, "W", 1)                        = 1
read(12, "W", 1)                        = 1
ppoll([{fd=12, events=POLLIN|POLLPRI|POLLERR|POLLHUP|POLLNVAL}], 1, {0, 500000000}, NULL, 8) = 1 ([{fd=12, revents=POLLIN}], left {0, 499959099})
read(12, "W", 1)                        = 1
ppoll([{fd=12, events=POLLIN|POLLPRI|POLLERR|POLLHUP|POLLNVAL}], 1, {0, 500000000}, NULL, 8) = 1 ([{fd=12, revents=POLLIN}], left {0, 499966443})
read(12, "W", 1)                        = 1
read(12, "W", 1)                        = 1
ppoll([{fd=12, events=POLLIN|POLLPRI|POLLERR|POLLHUP|POLLNVAL}], 1, {0, 500000000}, NULL, 8) = 1 ([{fd=12, revents=POLLIN}], left {0, 499845770})
read(12, "W", 1)                        = 1
ppoll([{fd=12, events=POLLIN|POLLPRI|POLLERR|POLLHUP|POLLNVAL}], 1, {0, 500000000}, NULL, 8) = 1 ([{fd=12, revents=POLLIN}], left {0, 499996864})
read(12, "W", 1)                        = 1
ppoll([{fd=12, events=POLLIN|POLLPRI|POLLERR|POLLHUP|POLLNVAL}], 1, {0, 500000000}, NULL, 8) = 1 ([{fd=12, revents=POLLIN}], left {0, 465651380})
read(12, "W", 1)                        = 1
fstat(14, {st_mode=S_IFREG|0664, st_size=56501640, ...}) = 0
fstat(14, {st_mode=S_IFREG|0664, st_size=56501640, ...}) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x34141b0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61881c71e0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61881c2750, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61881c72a8, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x7f61881c7298, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x7f618c000020, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x7f61881c71e0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61881c1540, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61881c20c0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61881c1608, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x7f61881c15f8, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x7f61881c1540, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61900fefb0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61881c2520, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61900ff1d8, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x7f619000a2f8, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x7f619000a2a8, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x7f61881c24a8, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x7f619000a2f8, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x7f61881c22f0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61900ff1f0, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x7f61900ff218, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x7f61900ff218, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x7f61900fefb0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61900fecc0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f619007dd30, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61900feee8, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x7f619000a1d8, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x7f619000a188, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x7f619007dcb8, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x7f619000a1d8, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x7f619007db00, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61900fef00, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x7f61900fef28, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x7f61900fef28, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x7f61900fecc0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x34180a0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x34193e0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x3423bc0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x3419640, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x3423e00, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x34187c0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f619401e1a0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x34229c0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f619401eba0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x34232c0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f6188038240, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f619007d8d0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f619007d6a0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f6188037030, FUTEX_WAIT_PRIVATE, 2, NULL) = 0
futex(0x7f6188037030, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x7f618809ab3c, FUTEX_WAKE_OP_PRIVATE, 1, 1, 0x7f618809ab38, {FUTEX_OP_SET, 0, FUTEX_OP_CMP_GT, 1}) = 1
futex(0x7f618809abc8, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x7f6198e339d0, FUTEX_WAIT, 3058, NULL) = 0
mprotect(0x7f6188d9e000, 4096, PROT_READ|PROT_WRITE) = 0
futex(0x7f618809ace4, FUTEX_WAKE_OP_PRIVATE, 1, 1, 0x7f618809ace0, {FUTEX_OP_SET, 0, FUTEX_OP_CMP_GT, 1}) = 1
futex(0x7f618809ad70, FUTEX_WAKE_PRIVATE, 1) = 1
madvise(0x7f6180185000, 114688, MADV_DONTNEED) = 0
mprotect(0x7f617007f000, 4096, PROT_READ|PROT_WRITE) = 0
futex(0x7f618809ae8c, FUTEX_WAKE_OP_PRIVATE, 1, 1, 0x7f618809ae88, {FUTEX_OP_SET, 0, FUTEX_OP_CMP_GT, 1}) = 1
futex(0x7f618809af18, FUTEX_WAKE_PRIVATE, 1) = 1
mprotect(0x7f617407f000, 4096, PROT_READ|PROT_WRITE) = 0
futex(0x7f618809b034, FUTEX_WAKE_OP_PRIVATE, 1, 1, 0x7f618809b030, {FUTEX_OP_SET, 0, FUTEX_OP_CMP_GT, 1}) = 1
futex(0x7f618809b0c0, FUTEX_WAKE_PRIVATE, 1) = 1
mprotect(0x7f616807f000, 4096, PROT_READ|PROT_WRITE) = 0
madvise(0x7f6188c6d000, 1253376, MADV_DONTNEED) = 0
close(18)                               = 0
close(17)                               = 0
madvise(0x7f6188afb000, 1515520, MADV_DONTNEED) = 0
futex(0x7f6188038240, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f619007e170, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f619007c0c0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x3407d20, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f619007e170, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f619000d160, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x3407af0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x34078c0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f619000d160, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f618c006310, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f619007d010, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f619007cde0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f618c006310, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61900bdcb0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f619007cbb0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f619007c980, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61900bdcb0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61900070c0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f6190006a08, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x7f6190006a18, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x7f61900bb928, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x7f61900bb938, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x3407690, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f6190006a08, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x7f6190006a18, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x1a84bf8, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x1a84ba8, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x3407618, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x1a84bf8, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x1a84ba8, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x1a84bf8, FUTEX_WAIT_PRIVATE, 3, NULL) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x7f619007c750, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61900bb928, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x7f61900bb938, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x1a84d18, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x1a84cc8, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x7f619007c6d8, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x1a84d18, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x3407460, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f6190006a18, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x7f619007c520, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61900bb938, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x7f61900070c0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f6194054170, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x3407230, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f619007c2f0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x34062e0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x3422300, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x3406740, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x3410590, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x3410468, FUTEX_WAKE_PRIVATE, 1) = 0
close(14)                               = 0
futex(0x3418340, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x3406510, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x1a842f8, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x1a842a8, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x3406498, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x1a842f8, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x3406970, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x1a84658, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x1a84608, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x34068f8, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x1a84658, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x7f6194054170, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x341f2d0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x341f2d0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f618c006310, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f618c006310, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61900bdcb0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61900bdcb0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61881c71e0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61881c71e0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61900fefb0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61900fefb0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f6188038240, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f6188038240, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f619007e170, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f619007e170, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f619000d160, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f619000d160, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61881c1540, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61881c1540, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61900fecc0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61900fecc0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61900070c0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61900070c0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f6194054170, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f6194054170, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x34187c0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x34187c0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x34187c0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x34104e0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x34104e0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x34187c0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x34187c0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x34104e0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x34104e0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x34180a0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x34180a0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x34180a0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x34141b0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
write(1, "Loading: file:///home/mastaiza/\320"..., 105Loading: file:///home/mastaiza/Видео/Русский_оккупант_предупреждает.mp4
) = 105
write(1, "Loading ui!\n", 12Loading ui!
)           = 12
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
brk(0)                                  = 0x3434000
brk(0x3457000)                          = 0x3457000
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
brk(0)                                  = 0x3457000
brk(0x3479000)                          = 0x3479000
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
access("/usr/share/gtk-3.0/settings.ini", F_OK) = -1 ENOENT (No such file or directory)
access("/etc/gtk-3.0/settings.ini", F_OK) = -1 ENOENT (No such file or directory)
access("/etc/xdg/gtk-3.0/settings.ini", F_OK) = -1 ENOENT (No such file or directory)
access("/home/mastaiza/.config/gtk-3.0/settings.ini", F_OK) = 0
open("/home/mastaiza/.config/gtk-3.0/settings.ini", O_RDONLY) = 14
fstat(14, {st_mode=S_IFREG|0664, st_size=420, ...}) = 0
read(14, "[Settings]\ngtk-theme-name=Ozon\ng"..., 4096) = 420
read(14, "", 4096)                      = 0
close(14)                               = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
stat("/home/mastaiza/.config/gtk-3.0/gtk.css", 0x7ffc91c4b810) = -1 ENOENT (No such file or directory)
access("/home/mastaiza/.local/share/themes/Ozon/gtk-3.16/gtk.css", F_OK) = -1 ENOENT (No such file or directory)
access("/home/mastaiza/.local/share/themes/Ozon/gtk-3.14/gtk.css", F_OK) = -1 ENOENT (No such file or directory)
access("/home/mastaiza/.local/share/themes/Ozon/gtk-3.0/gtk.css", F_OK) = -1 ENOENT (No such file or directory)
access("/home/mastaiza/.themes/Ozon/gtk-3.16/gtk.css", F_OK) = -1 ENOENT (No such file or directory)
access("/home/mastaiza/.themes/Ozon/gtk-3.14/gtk.css", F_OK) = -1 ENOENT (No such file or directory)
access("/home/mastaiza/.themes/Ozon/gtk-3.0/gtk.css", F_OK) = -1 ENOENT (No such file or directory)
access("/usr/share/themes/Ozon/gtk-3.16/gtk.css", F_OK) = -1 ENOENT (No such file or directory)
access("/usr/share/themes/Ozon/gtk-3.14/gtk.css", F_OK) = -1 ENOENT (No such file or directory)
access("/usr/share/themes/Ozon/gtk-3.0/gtk.css", F_OK) = 0
open("/usr/share/themes/Ozon/gtk-3.0/gtk.gresource", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/themes/Ozon/gtk-3.0/gtk.css", O_RDONLY) = 14
fstat(14, {st_mode=S_IFREG|0755, st_size=29, ...}) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
read(14, "@import url(\"dist/gtk.css\");\n", 8192) = 29
read(14, "", 8192)                      = 0
close(14)                               = 0
open("/usr/share/themes/Ozon/gtk-3.0/dist/gtk.css", O_RDONLY) = 14
fstat(14, {st_mode=S_IFREG|0644, st_size=220897, ...}) = 0
read(14, "/* dark color scheme */\n@define-"..., 8192) = 8192
read(14, "ld > .button, .selection-mode.he"..., 8192) = 8192
read(14, " .button.default:checked:hover, "..., 8192) = 8192
read(14, "kground-color: transparent;\n    "..., 8192) = 8192
read(14, "r, .toolbar .button.flat:hover:a"..., 8192) = 8192
read(14, "ader-bar .subtitle {\n    font: s"..., 8192) = 8192
read(14, "ed:checked:last-child, .header-b"..., 8192) = 8192
brk(0)                                  = 0x3479000
brk(0x34a1000)                          = 0x34a1000
read(14, "ted-action.button.flat:focus:che"..., 8192) = 8192
read(14, "mage: linear-gradient(to top, #f"..., 8192) = 8192
read(14, ".selection-mode.header-bar .butt"..., 8192) = 8192
read(14, "focus, .selection-mode.header-ba"..., 8192) = 8192
read(14, ":focus, .selection-mode.toolbar "..., 8192) = 8192
read(14, "tton.flat:focus:checked:hover, ."..., 8192) = 8192
read(14, "tor GtkColorSwatch {\n  border-ra"..., 8192) = 8192
read(14, "t:active:insensitive, GtkInfoBar"..., 8192) = 8192
read(14, ".question .button:active:insensi"..., 8192) = 8192
read(14, "us, GtkInfoBar.error .button.fla"..., 8192) = 8192
read(14, "round-color: transparent;\n  back"..., 8192) = 8192
read(14, "r .button:checked:focus, GtkPopo"..., 8192) = 8192
read(14, "sitive, GtkModelButton.button.fl"..., 8192) = 8192
read(14, "        border-width: 1px 0 1px "..., 8192) = 8192
read(14, "06), inset 0 1px rgba(0, 0, 0, 0"..., 8192) = 8192
read(14, "left, rgba(255, 255, 255, 0.2) 5"..., 8192) = 8192
read(14, "ocus, .sidebar .view.separator, "..., 8192) = 8192
read(14, "ntent-view.view:prelight, GtkHTM"..., 8192) = 8192
read(14, "round-color: #dddddd; }\n  Nautil"..., 8192) = 8192
read(14, ".button {\n    -GtkButton-inner-b"..., 8192) = 7905
read(14, "", 8192)                      = 0
close(14)                               = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
brk(0)                                  = 0x34a1000
brk(0x34c5000)                          = 0x34c5000
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
brk(0)                                  = 0x34c5000
brk(0x34f0000)                          = 0x34f0000
brk(0)                                  = 0x34f0000
brk(0x352f000)                          = 0x352f000
brk(0)                                  = 0x352f000
brk(0x3550000)                          = 0x3550000
brk(0)                                  = 0x3550000
brk(0x3571000)                          = 0x3571000
brk(0)                                  = 0x3571000
brk(0x35b2000)                          = 0x35b2000
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
open("/usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders.cache", O_RDONLY) = 14
fstat(14, {st_mode=S_IFREG|0644, st_size=3866, ...}) = 0
read(14, "# GdkPixbuf Image Loader Modules"..., 1024) = 1024
read(14, "image/x-xbitmap\" \"\"\n\"xbm\" \"\"\n\"#d"..., 1024) = 1024
read(14, "\" \"image/x-ico\" \"image/x-win-bit"..., 1024) = 1024
read(14, " 100\n\" <!DOCTYPE svg\" \"*        "..., 1024) = 794
read(14, "", 1024)                      = 0
close(14)                               = 0
futex(0x7f61b227f4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
brk(0)                                  = 0x35b2000
brk(0x35da000)                          = 0x35da000
brk(0)                                  = 0x35da000
brk(0x35fb000)                          = 0x35fb000
brk(0)                                  = 0x35fb000
brk(0x361c000)                          = 0x361c000
brk(0)                                  = 0x361c000
brk(0x364a000)                          = 0x364a000
brk(0)                                  = 0x364a000
brk(0x36a6000)                          = 0x36a6000
brk(0)                                  = 0x36a6000
brk(0x36c7000)                          = 0x36c7000
brk(0)                                  = 0x36c7000
brk(0x36e8000)                          = 0x36e8000
brk(0)                                  = 0x36e8000
brk(0x3709000)                          = 0x3709000
brk(0)                                  = 0x3709000
brk(0x372a000)                          = 0x372a000
brk(0)                                  = 0x372a000
brk(0x374b000)                          = 0x374b000
access("/usr/share/themes/Ozon/gtk-3.0/settings.ini", F_OK) = -1 ENOENT (No such file or directory)
poll([{fd=6, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=6, revents=POLLOUT}])
writev(6, [{"b\1\4\0\6\0\7\0", 8}, {"RENDER", 6}, {"\0\0", 2}], 3) = 16
poll([{fd=6, events=POLLIN}], 1, 4294967295) = 1 ([{fd=6, revents=POLLIN}])
recvmsg(6, {msg_name(0)=NULL, msg_iov(1)=[{"\1\0\351\0\0\0\0\0\1\212\0\214\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", 4096}], msg_controllen=0, msg_flags=0}, 0) = 32
recvmsg(6, 0x7ffc91c4b4e0, 0)           = -1 EAGAIN (Resource temporarily unavailable)
recvmsg(6, 0x7ffc91c4b4e0, 0)           = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=6, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=6, revents=POLLOUT}])
writev(6, [{"\212\0\3\0\0\0\0\0\v\0\0\0\212\1\1\0", 16}, {NULL, 0}, {"", 0}], 3) = 16
poll([{fd=6, events=POLLIN}], 1, 4294967295) = 1 ([{fd=6, revents=POLLIN}])
recvmsg(6, {msg_name(0)=NULL, msg_iov(1)=[{"\1\0\352\0\0\0\0\0\0\0\0\0\v\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 4096}], msg_controllen=0, msg_flags=0}, 0) = 1172
recvmsg(6, 0x7ffc91c4b500, 0)           = -1 EAGAIN (Resource temporarily unavailable)
recvmsg(6, 0x7ffc91c4b500, 0)           = -1 EAGAIN (Resource temporarily unavailable)
recvmsg(6, 0x7ffc91c4b500, 0)           = -1 EAGAIN (Resource temporarily unavailable)
recvmsg(6, 0x7ffc91c4b500, 0)           = -1 EAGAIN (Resource temporarily unavailable)
--- SIGSEGV {si_signo=SIGSEGV, si_code=SEGV_MAPERR, si_addr=0x73646e757f} ---
+++ killed by SIGSEGV (core dumped) +++
Ошибка сегментирования (core dumped)

Comment 24 Antonio T. (sagitter) 2015-07-25 15:11:52 UTC
I don't reproduce your problem on my system.

Do you use nVidia driver or Nouveau?

Comment 25 mastaiza 2015-07-25 16:26:07 UTC
Bumblebee

Comment 26 Antonio T. (sagitter) 2015-07-25 18:37:39 UTC
*** Bug 1178657 has been marked as a duplicate of this bug. ***

Comment 27 Fedora Update System 2015-07-29 01:40:15 UTC
snappy-player-1.0-5.20150622git8f239a.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2015-07-29 01:52:58 UTC
snappy-player-1.0-5.20150622git8f239a.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 29 mastaiza 2015-07-29 16:56:01 UTC
Hello player earns or not, I had not even his never seen

Comment 30 Antonio T. (sagitter) 2015-07-29 17:22:26 UTC
*** Bug 1248136 has been marked as a duplicate of this bug. ***

Comment 31 Antonio T. (sagitter) 2015-07-29 17:26:16 UTC
(In reply to mastaiza from comment #29)
> Hello player earns or not, I had not even his never seen

It could be related to nVidia driver. Have you never used Snappy-player with default driver Nouveau?

Comment 32 Antonio T. (sagitter) 2015-07-30 12:52:14 UTC
Please, try this new release: http://koji.fedoraproject.org/koji/taskinfo?taskID=10541583

Comment 33 Fedora Update System 2015-11-04 19:31:33 UTC
snappy-player-1.0-7.20151010git166a98.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-bae05abd06

Comment 34 Fedora Update System 2015-11-04 19:31:39 UTC
snappy-player-1.0-7.20151010git166a98.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3471dfb5b4

Comment 35 Fedora Update System 2015-11-06 00:49:44 UTC
snappy-player-1.0-7.20151010git166a98.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update snappy-player'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3471dfb5b4

Comment 36 Fedora Update System 2015-11-06 00:52:08 UTC
snappy-player-1.0-7.20151010git166a98.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update snappy-player'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-fd78327d35

Comment 37 Fedora Update System 2015-11-06 02:35:58 UTC
snappy-player-1.0-7.20151010git166a98.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update snappy-player'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-bae05abd06

Comment 38 Fedora Update System 2015-11-13 22:54:55 UTC
snappy-player-1.0-7.20151010git166a98.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 39 Fedora Update System 2015-11-14 01:51:09 UTC
snappy-player-1.0-7.20151010git166a98.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 40 Fedora Update System 2015-11-14 01:52:44 UTC
snappy-player-1.0-7.20151010git166a98.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 41 Doncho Gunchev 2015-12-05 21:35:59 UTC
Another user experienced a similar problem:

Just watched a mp4 clip.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        snappy file:///run/media/dgunchev/dgunchev_2T/fun/Zachary%20Quinto%20vs.%20Leonard%20Nimoy%20The%20Challenge.mp4
crash_function: __pthread_mutex_lock
executable:     /usr/bin/snappy
global_pid:     3062
kernel:         4.2.6-201.fc22.x86_64
package:        snappy-player-1.0-7.20151010git166a98.fc22
reason:         snappy killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000